import { Entity, Column, PrimaryGeneratedColumn, OneToMany } from ‘typeorm’;
import { Comment } from ‘./comment.entity’;

@Entity()
export class Post {

  @PrimaryGeneratedColumn()
  id: number;

  @Column()
  title: string;

  @Column()
  content: string;

  @OneToMany(() => Comment, (comment) => comment.post)
  comments: Comment[];

}
