
export default () => ({
  port: parseInt(process.env.BLOG_PORT!, 10) || 3000,
  database: {
    host: process.env.POSTGRES_HOST || 'postgres',
    port: parseInt(process.env.POSTGRES_PORT!, 10) || 5432,
    name: process.env.BLOG_DB_NAME || 'blog',
    user: process.env.BLOG_DB_USER || 'blog',
    password: process.env.BLOG_DB_PASSWORD
  }
});
